Bug 55965 - installer aborts on post-installation setup with hd-to-hd installation
installer aborts on post-installation setup with hd-to-hd installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-09 10:58 EST by Konstantin
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin 2001-11-09 10:58:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Installing RH7.2 from iso images stored on fat32 partition of the hard 
disk, it always fails on post-installation scripts.

Reproduced on 2 machines (i815/PIII/Fujitsu 40Gb/network and 
KT133A/Duron/Seagate 8.4Gb/no network), with any set of packages.


How reproducible:
Always

Steps to Reproduce:
1. Have a machine with one FAT32 partition to boot DOS 7.1, iso images 
stored on it, unpacked iso images stored on it too.
2. Boot DOS, cd \rh72\dosutils, run autoboot.bat
3. Select hda1, /rh72.iso as a source for installation, enter text mode 
installation.
4. Create normal partitions on free space (ext2 or ext3 900Mb or more in 
my case, with and without swap-partition, primary or extended partitions, 
or reformat old ext2 partition - no sence)
5. Select any set of pre-defined or custom packages.
6. Complete other steps, skipped here, start installation.
7. Sometimes installer aborts during package installing, but if I select 
minimal number of packages, it runs to the end and aborts during post-
installation set-up of system.
	

Actual Results:  I got fully installed set of packages, loadable from 
floppy, but no config files are properly written (e.g., passwd/shadow), 
and lilo too.

Additional info:

Installation text screen is garbaged with diagnostic messages starting 
with "got signal 11... exited abnormally... then unmount of all drives... 
you can safely reboot" and it stops. Virtual consoles switching works, I 
see four-six diagnostic messages "Decompression error..." and hex codes.

1.Iso images are good (md5sum check ok)
2.Both machines are good with (u)dma, under linux too.
3.Images unpacked with loop device and "old" linux (RH7.0, Mandrake 8.1)
4.Use of the SAME procedure for "Upgrade" from previously installed RH7.0 
(7.0 installed from CD, with minimal set of rpms) is SUCCESSFUL.
5.Installation from bootable CDs, burned from THESE images is SUCCESSFUL.
Other problems were encountered during the installation, but they were 
avoided, but this could not.
Comment 1 Brent Fox 2001-11-09 15:34:39 EST
Can you attach a debug error message that should have been created when the
install crashed?  I don't have much to go on without that.
Comment 2 Konstantin 2001-11-10 06:00:57 EST
As for installer, it doesn't produce a message about debug-log.
I'll try to repeat this procedure another time to see if there is a log or to 
copy on-screen messages manually, but it can take some days.
Comment 3 Konstantin 2001-11-12 05:46:15 EST
I've repeated this on i815/PIII/Fujitsu 40Gb.
I filled all the installation screens quickly, removed all the packages except minimal 
necessary set... And installation proceeds to the end! First time out of ten! The only 
difference was: this time I didn't install any bootloader...
Well, I repeat this another time, but set "check / partition for bad blocks". And I got:
vc/1:
Checking for bad blocks (in Russian)
install exited abnormally -- recieved signal 11      sending termination signals... done   
sending kill signals... done   disabling swap...  unmounting filesystems   /mnt/runtime done   
 disabling /dev/loop1   /proc done   /dev/pts done   /tmp/ramfs done   you may safely 
reboot your system

vc/2:
#

vc/3:
[many informational messages, last is:]
* hda5 is a protected partition
[I had images on hda5]

vc/4:
[many times repeated]
<6> attempt to access beyond end of device
<6> 01:01: rw=0, want=4846, limit=4608
<4> Error -3 while decompressing!
<4>c026b2a3(2652) -> ccef3000(4096)
<4> Error -3 while decompressing!
<4>c026bcff(2525) -> ccec7000(4096)
<4> Error -3 while decompressing!
<4>c026c6dc(2395) -> cceba000(4096)
<4> Error -3 while decompressing!
<4>c026d037(2594) -> cceb1000(4096)

vc/5:
Checking for bad blocks in read-only mode:
...
...: 2097152 / 7020373

I repeat this third time. Difference: don't check for bad blocks, but install a bunch of 
packages, and lilo.
Installtion aborts very nearly from the end. Some message blinked (may be, "unable to 
load shared library", but I'm not shure), but was cleared by consequent output, visible rest 
was:
                 r/sbin/probe: error
                 file data: Error 21
install exited abnormally -- recieved signal 11 ...
... and so on

vc/2:
#

vc/3:
[all the same, but additional lines:]
* Mount of /proc/bus/usb failed
* Writing main configuration
* self.hostname =cathost

vc/4:
<6> attempt to access beyond end of device
<6> 01:01: rw=0, want=4846, limit=4608
<4> Error -3 while decompressing!
<4>c02674d9(2370) -> d7b81000(4096)
<4> Error -3 while decompressing!
<4>c0267e1b(2122) -> c854f000(4096)

The last messages was not there while installing packages, they appeared only at 
moment of error.

All this seems to me as kernel or hardware disk i/o errors, but completely the same was 
happend on completely different system (see first message), and simple tests of disk 
subsystem (mke2fs with bad block testing, copying the large amount of data from partition 
to partition) doesn't reveal any hardware errors or incompatibilities.
Comment 4 Brent Fox 2001-11-15 13:23:30 EST
I'm going to change the component of this report to the kernel to see if they
can make sense of the errors you are seeing.
Comment 5 Jason Tibbitts 2001-11-30 18:42:09 EST
I'm seeing something like this as well.  My best guess is that the ramdisk is
getting corrupted, as I'm seeing things like:

<6>attempt to access beyond end of device
<6>01:01 rw=1, want=XXXX, limit=4608

01:01 is /dev/ram1.

One interesting thing is that after these messages appear, I can't do much from
VT2 except run shell builtins:

ls: error while loading shared libraries: /lib/libc.so.6: cannot read file data:
Error 21

Indeed, libc is trashed.  But this works fine during the installation process
and only croaks some time durin or shortly after all of the packages have
installed.  Fortunately GRUB installs and %post gets run in its entirely
(probably because it's all running from the newly installed system and not from
the corrupted ramdisk) so I'm better off than the original reporter.

My 7.2 installation is slightly tweaked; I'm doing an HTTP install, everything
has been copied to one tree, all errata have been applied, KDE has been upgraded
to 2.2.2 and a couple of custom packages have been added.  pkgorder and
genhdlist have been run.  But this shouldn't matter, because the system seems to
install fine.

Hardware:

1.4GHz Athlon on Asus A7V-133 motherboard, 768MB of Kingston PC133 SDRAM (tested
with memtest86 overnight, no problems).  Intel eepro100 Ethernet, IBM 60GXP
disk, NVidia GF2Ultra graphics card.
Comment 6 Vijay Gadad 2002-03-13 19:37:10 EST
It seems I'm having the same problem.  I've verified checksums on the disc-1 and
disc-2 .isos that I've downloaded, and am installing via PXE (using initrd.img
and vmlinuz from images/pxeboot).  Contents of the .isos are copied to the
NFS server.

Under %packages in my ks.cfg file, I've specified "@ Everything".  Near the end
of the installation, I get a few of the

<4> Error -3 while decompressing!
<4>c....(..) -> c....(..)

messages, and eventually the install catches a sig11 and terminates.

The install system is a Dell 1550 1U server, 933 MHz P-III, 1G RAM, 9G disk.  I
have seen the same problem on two identical known good boxes.

Note that after I see the first of the "Error -3 while decompressing!"
messages, commands like ls, df, pwd fail (command not found, or hangs).  Also, I
do _not_ see an "attempt to access beyond end of device" message.

The errors are the same regardless of whether I mount an update image at
RHupdates or not.
Comment 7 Bugzilla owner 2004-09-30 11:39:16 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.